<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                template="/templates/base.xhtml">

    <ui:define name="page">
        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Inicio</h1>                            
        </div>

        <!-- Content Row -->
        <div class="row">
            <!-- Content Column -->
            <div class="col-lg-6 mb-4">
                <!-- Project Card Example -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Reportes</h6>
                    </div>
                    <div class="card-body">
                        <h4 class="small font-weight-bold">Excel</h4>
                        <p>Para crear reportes con Excel para formatos XLSX se utiliza la librería 
                            <a href="https://poi.apache.org/" target="_blank">Apache POI</a>. Esta nos permite crear desde
                            Java libros en Excel con diferentes opciones de formato.
                        </p>
                        <h4 class="small font-weight-bold">PDF</h4>
                        <p>Para crear reportes con PDF se utiliza la librería 
                            <a href="https://itextpdf.com/" target="_blank">iText PDF</a>. Esta nos permite crear desde
                            Java documentos en PDF con diferentes opciones de formato.
                        </p>
                    </div>
                </div>
            </div>

            <!-- Content Column -->
            <div class="col-lg-6 mb-4">
                <!-- Project Card Example -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Correo electrónico</h6>
                    </div>
                    <div class="card-body">
                        <h4 class="small font-weight-bold">Configuración previa</h4>
                        <p>Primero deberá configurar su cuenta de correo gmail para que una aplicación de terceros
                            pueda acceder a sus credenciales y enviar correos. Para ello primero ingrese a su cuenta
                            de correo con sus credenciales. Luego siga las instrucciones de este enlace:
                            <a href="https://support.google.com/accounts/answer/6010255?hl=es-419#zippy=%2Csi-est%C3%A1-desactivada-la-opci%C3%B3n-acceso-de-apps-menos-seguras-en-tu-cuenta" 
                               target="_blank">Configurar apps menos seguras</a>

                        </p> 
                    </div>
                </div>
            </div>    
        </div> 

    </ui:define>


</ui:composition>

